Bug 86766 - [NEW PORT] games/ksudoku: 2D/3D Sudoku game for KDE
Summary: [NEW PORT] games/ksudoku: 2D/3D Sudoku game for KDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-30 20:30 UTC by freebsd
Modified: 2005-11-16 10:23 UTC (History)
0 users

See Also:


Attachments
file.shar (2.14 KB, text/plain)
2005-09-30 20:30 UTC, freebsd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2005-09-30 20:30:11 UTC
New Port: Sudoku puzzle creator and solver. Generates 2D and 3D puzzles.

How-To-Repeat: N/A
Comment 1 Andrej Zverev freebsd_committer 2005-10-04 18:07:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->az

I'll take it.
Comment 2 Andrej Zverev freebsd_committer 2005-10-10 14:12:17 UTC
State Changed
From-To: open->feedback

Don't build under 4.x, could you check this ?
Comment 3 freebsd 2005-10-13 13:46:11 UTC
Due to the huge popularity of Sudoku, I would love to get this port into FreeBSD as soon as possible. Could you please commit the attached version that's restricted to 5.0 and up?

I will look into why it doesn't compile on 4.x as soon as possible, but I currently don't have access to a 4.x system.

- Bartosz

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#	pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# Ports collection makefile for:	ksudoku
X# Date created:				30 September 2005
X# Whom:					Bartosz Fabianowski <freebsd@chillt.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		ksudoku
XPORTVERSION=		0.3
XCATEGORIES=		games kde
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE_EXTENDED}
XMASTER_SITE_SUBDIR=	${PORTNAME}
X
XMAINTAINER=		freebsd@chillt.de
XCOMMENT=		Sudoku (2D and 3D) generator and solver for KDE
X
XUSE_KDELIBS_VER=	3
XUSE_GMAKE=		yes
XGNU_CONFIGURE=		yes
X
X.include <bsd.port.pre.mk>
XEXTRA_PATCHES= ${PORTSDIR}/x11/kde3/files/extrapatch-old_configure
X.include <bsd.port.post.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (ksudoku-0.3.tar.gz) = d5fe20e9deda671dd15340f43ab4c4a3
XSIZE (ksudoku-0.3.tar.gz) = 704694
END-of-distinfo
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XKSudoku is a 2D and 3D Sudoku puzzle generator and solver for KDE.
X
XAmong its features are:
X
X* Supported board sizes (2D): 9x9, 16x16, 25x25
X* Supported board sizes (3D): 3x3x3, 4x4x4, 5x5x5
X* GUI for playing, saving, printing, solving and dubbing puzzles.
X* Automatic solver that can provide hints should you get stuck.
X
XFor more information on Sudoku puzzles in general, see:
Xhttp://en.wikipedia.org/wiki/Sudoku
X
XWWW:	http://ksudoku.sourceforge.net/
END-of-pkg-descr
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xbin/ksudoku
Xbin/ksudoku_client
Xshare/applnk/Games/ksudoku.desktop
Xshare/apps/ksudoku/ksudokuui.rc
Xshare/doc/HTML/en/ksudoku/common
Xshare/doc/HTML/en/ksudoku/index.cache.bz2
Xshare/doc/HTML/en/ksudoku/index.docbook
Xshare/icons/hicolor/16x16/apps/ksudoku.png
Xshare/icons/hicolor/32x32/apps/ksudoku.png
Xshare/icons/hicolor/128x128/apps/ksudoku.png
X@dirrm share/apps/ksudoku
X@dirrm share/doc/HTML/en/ksudoku
END-of-pkg-plist
exit
Comment 4 Andrej Zverev freebsd_committer 2005-10-14 07:02:39 UTC
Responsible Changed
From-To: az->freebsd-ports-bugs

Back to spool, ENOTIME now :(
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2005-10-22 20:39:02 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 Emanuel Haupt freebsd_committer 2005-10-27 15:56:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I rescue it.
Comment 7 freebsd 2005-11-09 22:12:53 UTC
Here is an updated version. The only change is an addition of a SHA256 
checksum.

By the way: This port has been waiting for a commit for a while now. Is 
there something I can do to accelerate the process?

- Bartosz

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#	pkg-plist
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# Ports collection makefile for:	ksudoku
X# Date created:				30 September 2005
X# Whom:					Bartosz Fabianowski <freebsd@chillt.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		ksudoku
XPORTVERSION=		0.3
XCATEGORIES=		games kde
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE_EXTENDED}
XMASTER_SITE_SUBDIR=	${PORTNAME}
X
XMAINTAINER=		freebsd@chillt.de
XCOMMENT=		Sudoku (2D and 3D) generator and solver for KDE
X
XUSE_KDELIBS_VER=	3
XUSE_GMAKE=		yes
XGNU_CONFIGURE=		yes
X
X.include <bsd.port.pre.mk>
XEXTRA_PATCHES= ${PORTSDIR}/x11/kde3/files/extrapatch-old_configure
X.include <bsd.port.post.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (ksudoku-0.3.tar.gz) = d5fe20e9deda671dd15340f43ab4c4a3
XSHA256 (ksudoku-0.3.tar.gz) = 
18f95cb383a7d313f907eff6a1f23e0cf66627d901cbbb8488c521851c3f2cca
XSIZE (ksudoku-0.3.tar.gz) = 704694
END-of-distinfo
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
XKSudoku is a 2D and 3D Sudoku puzzle generator and solver for KDE.
X
XAmong its features are:
X
X* Supported board sizes (2D): 9x9, 16x16, 25x25
X* Supported board sizes (3D): 3x3x3, 4x4x4, 5x5x5
X* GUI for playing, saving, printing, solving and dubbing puzzles.
X* Automatic solver that can provide hints should you get stuck.
X
XFor more information on Sudoku puzzles in general, see:
Xhttp://en.wikipedia.org/wiki/Sudoku
X
XWWW:	http://ksudoku.sourceforge.net/
END-of-pkg-descr
echo x - pkg-plist
sed 's/^X//' >pkg-plist << 'END-of-pkg-plist'
Xbin/ksudoku
Xbin/ksudoku_client
Xshare/applnk/Games/ksudoku.desktop
Xshare/apps/ksudoku/ksudokuui.rc
Xshare/doc/HTML/en/ksudoku/common
Xshare/doc/HTML/en/ksudoku/index.cache.bz2
Xshare/doc/HTML/en/ksudoku/index.docbook
Xshare/icons/hicolor/16x16/apps/ksudoku.png
Xshare/icons/hicolor/32x32/apps/ksudoku.png
Xshare/icons/hicolor/128x128/apps/ksudoku.png
X@dirrm share/apps/ksudoku
X@dirrm share/doc/HTML/en/ksudoku
END-of-pkg-plist
exit
Comment 8 Emanuel Haupt freebsd_committer 2005-11-14 09:31:26 UTC
--Signature=_Mon__14_Nov_2005_10_31_27_+0100_.FeLH.wd.O4M_CrZ
Content-Type: text/plain; charset=US-ASCII
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

- the port you sent does not build on 4.x
- I reworked the port a bit (see shar), could you please test it
  and tell me if you agree with the changes


--- ksudoku.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ksudoku
#	ksudoku/Makefile
#	ksudoku/distinfo
#	ksudoku/pkg-descr
#	ksudoku/pkg-plist
#
echo c - ksudoku
mkdir -p ksudoku > /dev/null 2>&1
echo x - ksudoku/Makefile
sed 's/^X//' >ksudoku/Makefile << 'END-of-ksudoku/Makefile'
X# Ports collection makefile for:	ksudoku
X# Date created:				30 September 2005
X# Whom:					Bartosz Fabianowski <freebsd@chillt.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=3D	ksudoku
XPORTVERSION=3D	0.3
XCATEGORIES=3D	games kde
XMASTER_SITES=3D	${MASTER_SITE_SOURCEFORGE_EXTENDED}
XMASTER_SITE_SUBDIR=3D	${PORTNAME}
X
XMAINTAINER=3D	freebsd@chillt.de
XCOMMENT=3D	Sudoku (2D and 3D) generator and solver for KDE
X
XEXTRA_PATCHES=3D	${.CURDIR}/../../x11/kde3/files/extrapatch-old_configure
X
XUSE_LIBTOOL_VER=3D15
XUSE_KDELIBS_VER=3D3
XUSE_X_PREFIX=3D	yes
XUSE_REINPLACE=3D	yes
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 500000
XIGNORE=3D		does not build on FreeBSD 4.x
X.endif
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|-O2||' ${WRKSRC}/configure
X
X.include <bsd.port.post.mk>
END-of-ksudoku/Makefile
echo x - ksudoku/distinfo
sed 's/^X//' >ksudoku/distinfo << 'END-of-ksudoku/distinfo'
XMD5 (ksudoku-0.3.tar.gz) =3D d5fe20e9deda671dd15340f43ab4c4a3
XSIZE (ksudoku-0.3.tar.gz) =3D 704694
END-of-ksudoku/distinfo
echo x - ksudoku/pkg-descr
sed 's/^X//' >ksudoku/pkg-descr << 'END-of-ksudoku/pkg-descr'
XKSudoku is a 2D and 3D Sudoku puzzle generator and solver for KDE.
X
XAmong its features are:
X
X* Supported board sizes (2D): 9x9, 16x16, 25x25
X* Supported board sizes (3D): 3x3x3, 4x4x4, 5x5x5
X* GUI for playing, saving, printing, solving and dubbing puzzles
X* Automatic solver that can provide hints should you get stuck
X
XFor more information on Sudoku puzzles in general, see:
Xhttp://en.wikipedia.org/wiki/Sudoku
X
XWWW: http://ksudoku.sourceforge.net/
END-of-ksudoku/pkg-descr
echo x - ksudoku/pkg-plist
sed 's/^X//' >ksudoku/pkg-plist << 'END-of-ksudoku/pkg-plist'
Xbin/ksudoku
Xbin/ksudoku_client
Xshare/applnk/Games/ksudoku.desktop
Xshare/apps/ksudoku/ksudokuui.rc
Xshare/doc/HTML/en/ksudoku/common
Xshare/doc/HTML/en/ksudoku/index.cache.bz2
Xshare/doc/HTML/en/ksudoku/index.docbook
Xshare/icons/hicolor/128x128/apps/ksudoku.png
Xshare/icons/hicolor/16x16/apps/ksudoku.png
Xshare/icons/hicolor/32x32/apps/ksudoku.png
X@dirrm share/doc/HTML/en/ksudoku
X@dirrm share/apps/ksudoku
END-of-ksudoku/pkg-plist
exit

--- ksudoku.shar ends here ---
Comment 9 freebsd 2005-11-15 17:37:59 UTC
Silly me - I changed the port so it sets IGNORE on 4.x, but resubmitted 
the wrong version. Thanks for finding and fixing that.

Apart from adding USE_X_PREFIX and removing the hard-coded -O2, which 
are both good, all your changes are cosmetic and I am fine with them. 
Just one thing: Your also removed the SHA256 checksum, which was 
probably not your intention.

If you could add back the SHA256 checksum and commit, that would be great.

- Bartosz
Comment 10 Emanuel Haupt freebsd_committer 2005-11-16 10:23:27 UTC
State Changed
From-To: open->closed

New port added. Thanks!